Bug 249419 - Software Updater crash
Software Updater crash
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
5
All Linux
low Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-24 12:24 EDT by Allyn Smith
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 20:05:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allyn Smith 2007-07-24 12:24:07 EDT
Description of problem: Continue to get a crash when I use the software updater.


Version-Release number of selected component (if applicable):


How reproducible: Every time


Steps to Reproduce:
1. Start software updater.
2.
3.
  
Actual results: Crash with exceptions listed (below)


Expected results: Successful completion of software update.


Additional info:Crash dump follows
Component: Software Updater
Summary: TB9f78d0ec main.py:244:execute:OperationalError: disk I/O error

Traceback (most recent call last):
  File "/usr/sbin/pup", line 389, in ?
    main()
  File "/usr/sbin/pup", line 385, in main
    pup.run()
  File "/usr/sbin/pup", line 357, in run
    self.doRefresh()
  File "/usr/sbin/pup", line 161, in doRefresh
    self.reposSetup(pbar)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 154, in reposSetup
    self.doSackSetup()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 291, in doSackSetup
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.4/site-packages/yum/repos.py", line 289, in populateSack
    dobj = repo.cacheHandler.getPrimary(xml, csum)
  File "/usr/lib/python2.4/site-packages/yum/sqlitecache.py", line 96, in getPrimary
    return self._getbase(location, checksum, 'primary')
  File "/usr/lib/python2.4/site-packages/yum/sqlitecache.py", line 89, in _getbase
    self.updateSqliteCache(db, parser, checksum, metadatatype)
  File "/usr/lib/python2.4/site-packages/yum/sqlitecache.py", line 373, in
updateSqliteCache
    cur.execute("DELETE FROM "+table+ " where pkgKey in %s" % delpkgs)
  File "/usr/lib/python2.4/site-packages/sqlite/main.py", line 244, in execute
    self.rs = self.con.db.execute(SQL)
OperationalError: disk I/O error

Local variables in innermost frame:
self: <sqlite.main.Cursor instance at 0x425ff6ac>
parms: ()
SQL: DELETE FROM provides where pkgKey in
(996,3450,8101,6468,8246,7474,8154,6471,8716,3878,7463,7331,9021,8814,4600,8239,5201,8243,5588,4811,6306,4602,3448,4970,1177,4687,1837,7436,5531,6422,8963,4815,7337,7010,6470,3451,3459,8103,7332,6890,2786,7434,7216,6616,7370,3550,6861,5774,4812,3442,5773,3436,4603,8170,1147,7458,5205,4604,3414,130,8156,3437,7541,8928,7264,2120,3552,7367,3587,8249,8248,5589,8236,7379,8923,3751,7457,8237,4816,8235,6376,7116,3556,8192,8932,5714,9016,8089,8982,8177,4459,7543,2784,8820,7380,6728,3429,7448,3558,6666,6474,2059,5430,2268,7479,8150,7382,8775,8285,7540,6644,7420,3571,8762,8240,7117,8188,3446,3445,3616,7360,8238,8244,6617,1391,9000,8242,7157,436,3438,7473,1541,4813,2366,9011,3557,3447,7464,5686,8152,6704,4606,7185,3272,6469,3440,8815,5146,7462,7359,7074,8250,8988,3882,3435,4605,1696,3298,8713,8943,8109,5204,3572,8749,6455,6891,8157,1833,7371,8247,2787,3549,6642,5137,8094,8752,6467,5203,1417,4069,7456,8723,3441,5587,8673,4151,7334,1839,3299,4601,3808,8245,2785)
Comment 1 Peter van Egdom 2007-11-14 14:17:01 EST
Thank you for the report. However this has been reported to the incorrect
component. Reassigning from "up2date" to "pirut". Feel free to report any
further bugs you find to our bug tracking system.
Comment 2 Jeremy Katz 2007-11-15 20:05:03 EST
This is fixed in newer versions of Fedora

Note You need to log in before you can comment on or make changes to this bug.